-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Dec 11, 2024 at 08:45 PM
-- Server version: 10.4.28-MariaDB
-- PHP Version: 8.2.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `trello_api`
--

-- --------------------------------------------------------

--
-- Table structure for table `activity_logs`
--

CREATE TABLE `activity_logs` (
  `id` int(11) NOT NULL,
  `entity_type` enum('board','card') NOT NULL,
  `entity_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `action` varchar(255) NOT NULL,
  `details` text DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `attachments`
--

CREATE TABLE `attachments` (
  `id` int(11) NOT NULL,
  `card_id` int(11) NOT NULL,
  `file_name` varchar(255) NOT NULL,
  `file_path` varchar(255) NOT NULL,
  `uploaded_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `attachments`
--

INSERT INTO `attachments` (`id`, `card_id`, `file_name`, `file_path`, `uploaded_at`) VALUES
(1, 2, '6757435eccb07-javascript.jpg', 'http://localhost/project/uploads/attachments/6757435eccb07-javascript.jpg', '2024-12-09 19:22:06'),
(2, 2, '6757438f545c1-javascript.jpg', 'http://localhost/project/uploads/attachments/6757438f545c1-javascript.jpg', '2024-12-09 19:22:55'),
(3, 3, '6757439b05a42-javascript.jpg', 'http://localhost/project/uploads/attachments/6757439b05a42-javascript.jpg', '2024-12-09 19:23:07');

-- --------------------------------------------------------

--
-- Table structure for table `boards`
--

CREATE TABLE `boards` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `workspace_id` int(11) NOT NULL,
  `description` text DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `boards`
--

INSERT INTO `boards` (`id`, `name`, `workspace_id`, `description`, `created_by`, `created_at`) VALUES
(2, 'LDM Board', 2, 'LDM Board', 2, '2024-12-06 19:05:42'),
(3, 'WDS Board', 2, 'WDS Description', 2, '2024-12-06 19:12:39');

-- --------------------------------------------------------

--
-- Table structure for table `cards`
--

CREATE TABLE `cards` (
  `id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text DEFAULT NULL,
  `list_id` int(11) DEFAULT NULL,
  `position` int(11) NOT NULL DEFAULT 0,
  `cover_photo` varchar(255) DEFAULT NULL,
  `photo_path` varchar(255) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `cards`
--

INSERT INTO `cards` (`id`, `title`, `description`, `list_id`, `position`, `cover_photo`, `photo_path`, `created_at`) VALUES
(2, 'Task A', 'Details about Task A', 4, 1, '6757382c89b8b-javascript.jpg', 'http://localhost/project/uploads/cover_photos/6757382c89b8b-javascript.jpg', '2024-12-06 21:25:16'),
(3, 'Task A', 'Details about Task A', 3, 2, '675742ef4be10-javascript.jpg', 'http://localhost/project/uploads/cover_photos/675742ef4be10-javascript.jpg', '2024-12-09 18:12:50'),
(4, 'Updated Card Name', 'Updated Card Description', 3, 3, NULL, NULL, '2024-12-09 18:14:45');

-- --------------------------------------------------------

--
-- Table structure for table `card_assignees`
--

CREATE TABLE `card_assignees` (
  `id` int(11) NOT NULL,
  `card_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `assigned_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `card_assignees`
--

INSERT INTO `card_assignees` (`id`, `card_id`, `user_id`, `assigned_at`) VALUES
(1, 2, 4, '2024-12-09 19:47:44');

-- --------------------------------------------------------

--
-- Table structure for table `comments`
--

CREATE TABLE `comments` (
  `id` int(11) NOT NULL,
  `card_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `comment` text NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `comments`
--

INSERT INTO `comments` (`id`, `card_id`, `user_id`, `comment`, `created_at`) VALUES
(1, 2, 8, 'This is a comment', '2024-12-09 19:29:26'),
(2, 3, 8, 'This is a comment', '2024-12-09 19:55:29'),
(3, 3, 4, 'This is a comment test', '2024-12-09 22:48:34');

-- --------------------------------------------------------

--
-- Table structure for table `lists`
--

CREATE TABLE `lists` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `board_id` int(11) DEFAULT NULL,
  `position` int(11) NOT NULL DEFAULT 0,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `lists`
--

INSERT INTO `lists` (`id`, `name`, `board_id`, `position`, `created_at`) VALUES
(3, 'Next Day Revison', 2, 2, '2024-12-06 20:39:32'),
(4, 'Today Revison', 2, 3, '2024-12-06 20:40:17'),
(5, 'Intial Mock', 2, 1, '2024-12-06 20:48:25'),
(6, 'In Process', 2, 4, '2024-12-06 21:18:01');

-- --------------------------------------------------------

--
-- Table structure for table `notifications`
--

CREATE TABLE `notifications` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `message` text NOT NULL,
  `is_read` tinyint(1) DEFAULT 0,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `role` enum('admin','member') DEFAULT 'member',
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `name`, `email`, `password`, `role`, `created_at`) VALUES
(2, 'John Doe', 'john@example.com', '$2y$10$p/Ex4Bv1cY7Vrn0KkT1HNee5Br41xOj0BiYPTr40Ys/NEgXLO0ggO', 'admin', '2024-12-06 17:34:10'),
(4, 'John Doe', 'john@gmail.com', '$2y$10$nhf.mFAjLwVfenqlrELpYu1I08ogEHp8iwmUqDKK.GKws6sV6NVRm', 'member', '2024-12-06 17:38:36'),
(5, 'John Doe', 'admin@vscotek.com', '$2y$10$.OwXF0SXRIIRgdK39nhgc.MJKG85dTi0J08GcfVkNKgUl5sPIj4xW', 'admin', '2024-12-06 17:41:46'),
(6, 'John Doe', 'admin2@vscotek.com', '$2y$10$TvZEh/D36LW3Qd5o8sGG9evu3pDok6iVqouatjV5z.AvOzlakL9KC', 'member', '2024-12-06 17:43:59'),
(7, 'John Doe', 'admin3@vscotek.com', '$2y$10$m5TTWUnBrEA4FWWMAxP2O.qmlljsDhQjdLTf7GbLg7EgiohN/izka', 'member', '2024-12-06 17:45:02'),
(8, 'user', 'user@user.com', '$2y$10$KRd9a.k8KyjSpDrBdK892ODl8zv.y0xxSDrCL9bg8VnCb8.yBTlHy', 'member', '2024-12-06 21:01:14'),
(9, 'user 2', 'user2@user.com', '$2y$10$4SeBqzLoNjugnq6vh4UBhehkSr0lwXUfUr/h5g1LlmDFaT.8d1rMO', 'member', '2024-12-09 20:15:29'),
(10, 'user 2', 'user4@user.com', '$2y$10$aYy8y6GFgYZqyIyVSzk8GuaupKbrsjkUStdi0U4R/SHxFbtU2Ixs2', 'member', '2024-12-09 20:22:20'),
(11, 'user 2', 'user5@user.com', '$2y$10$JXfVvN339SMewer2V1VRnOLBbfEIfyE98N4ThIJWt7kyzjBZlGube', 'member', '2024-12-09 22:50:28');

-- --------------------------------------------------------

--
-- Table structure for table `workspaces`
--

CREATE TABLE `workspaces` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `workspaces`
--

INSERT INTO `workspaces` (`id`, `name`, `description`, `created_by`, `created_at`) VALUES
(3, 'Workspace Name', 'Workspace Description', 8, '2024-12-06 21:04:02'),
(4, 'Workspace Name', 'Workspace Description', 8, '2024-12-06 21:04:23'),
(5, 'Workspace Name', 'Workspace Description', 2, '2024-12-06 18:14:42'),
(6, 'Workspace Name 2', 'Workspace 2 Description', 9, '2024-12-09 20:15:55'),
(7, 'Workspace Name 2', 'Workspace 2 Description', 10, '2024-12-09 20:23:58'),
(8, 'Workspace Name 2', 'Workspace 2 Description', 10, '2024-12-09 20:27:15'),
(9, 'Workspace Name 2', 'Workspace 2 Description', 10, '2024-12-09 20:28:35'),
(10, 'Workspace Name 2', 'Workspace 2 Description', 11, '2024-12-09 22:51:33');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `activity_logs`
--
ALTER TABLE `activity_logs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `attachments`
--
ALTER TABLE `attachments`
  ADD PRIMARY KEY (`id`),
  ADD KEY `card_id` (`card_id`);

--
-- Indexes for table `boards`
--
ALTER TABLE `boards`
  ADD PRIMARY KEY (`id`),
  ADD KEY `created_by` (`created_by`);

--
-- Indexes for table `cards`
--
ALTER TABLE `cards`
  ADD PRIMARY KEY (`id`),
  ADD KEY `list_id` (`list_id`);

--
-- Indexes for table `card_assignees`
--
ALTER TABLE `card_assignees`
  ADD PRIMARY KEY (`id`),
  ADD KEY `card_id` (`card_id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `comments`
--
ALTER TABLE `comments`
  ADD PRIMARY KEY (`id`),
  ADD KEY `card_id` (`card_id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `lists`
--
ALTER TABLE `lists`
  ADD PRIMARY KEY (`id`),
  ADD KEY `board_id` (`board_id`);

--
-- Indexes for table `notifications`
--
ALTER TABLE `notifications`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `email` (`email`);

--
-- Indexes for table `workspaces`
--
ALTER TABLE `workspaces`
  ADD PRIMARY KEY (`id`),
  ADD KEY `created_by` (`created_by`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `activity_logs`
--
ALTER TABLE `activity_logs`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `attachments`
--
ALTER TABLE `attachments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `boards`
--
ALTER TABLE `boards`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `cards`
--
ALTER TABLE `cards`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `card_assignees`
--
ALTER TABLE `card_assignees`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `comments`
--
ALTER TABLE `comments`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `lists`
--
ALTER TABLE `lists`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `notifications`
--
ALTER TABLE `notifications`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `workspaces`
--
ALTER TABLE `workspaces`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `activity_logs`
--
ALTER TABLE `activity_logs`
  ADD CONSTRAINT `activity_logs_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `attachments`
--
ALTER TABLE `attachments`
  ADD CONSTRAINT `attachments_ibfk_1` FOREIGN KEY (`card_id`) REFERENCES `cards` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `boards`
--
ALTER TABLE `boards`
  ADD CONSTRAINT `boards_ibfk_1` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `cards`
--
ALTER TABLE `cards`
  ADD CONSTRAINT `cards_ibfk_1` FOREIGN KEY (`list_id`) REFERENCES `lists` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `card_assignees`
--
ALTER TABLE `card_assignees`
  ADD CONSTRAINT `card_assignees_ibfk_1` FOREIGN KEY (`card_id`) REFERENCES `cards` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `card_assignees_ibfk_2` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `comments`
--
ALTER TABLE `comments`
  ADD CONSTRAINT `comments_ibfk_1` FOREIGN KEY (`card_id`) REFERENCES `cards` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `comments_ibfk_2` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `lists`
--
ALTER TABLE `lists`
  ADD CONSTRAINT `lists_ibfk_1` FOREIGN KEY (`board_id`) REFERENCES `boards` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `notifications`
--
ALTER TABLE `notifications`
  ADD CONSTRAINT `notifications_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `workspaces`
--
ALTER TABLE `workspaces`
  ADD CONSTRAINT `workspaces_ibfk_1` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
